echo on
rem  Installation of DOS Mode for EXP Products
rem  Run "DOSMODE.BAT" file only from the "A" drive
rem  Hit the 1 key if you do not wish to continue
rem  Hit the 2 key for Game Traveler
rem  Hit the 3 key for CDROM
rem  Hit the 4 key for Hard Disk Traveler
choice DOS_MODE /c:1234
if errorlevel 4 goto HD
if errorlevel 3 goto CD
if errorlevel 2 goto GT
goto end1
:HD
if exist exphd.exe goto hd0
if exist exphdg.exe goto hdg
goto fail
:hd0
copy a:dos_hd.pif c:\windows\desktop\dos_hd.pif
copy a:dos_hd.w95 c:\win95\desktop\dos_hd.pif
goto hd1
:hdg
copy a:dos_hdg.pif c:\windows\desktop\dos_hdg.pif
copy a:dos_hdg.w95 c:\win95\desktop\dos_hdg.pif
goto hd1
:hd1
c:
cd\
md exphd
cd\exphd
copy a:\.
cd\
goto end
:CD
if exist expcd.exe goto cd9
if exist expcds.exe goto cds
if exist expcdi.exe goto ide
if exist expcdm.exe goto cdm
if exist expcdg.exe goto cdg
goto fail
:cdg
copy a:dos_cdg.pif c:\windows\desktop\dos_cdg.pif
copy a:dos_cdg.w95 c:\win95\desktop\dos_cdg.pif
goto next
:ide
copy a:dos_cd.pif c:\windows\desktop\dos_cd.pif
copy a:dos_cd.w95 c:\win95\desktop\dos_cd.pif
goto next
:cdm
copy a:dos_cdm.pif c:\windows\desktop\dos_cdm.pif
copy a:dos_cdm.w95 c:\win95\desktop\dos_cdm.pif
goto next
:cd9
copy a:dos_cd9.pif c:\windows\desktop\dos_cd9.pif
copy a:dos_cd9.w95 c:\win95\desktop\dos_cd9.pif
goto next
:cds
copy a:dos_cds.pif c:\windows\desktop\dos_cds.pif
copy a:dos_cds.w95 c:\win95\desktop\dos_cds.pif
goto next
:next
c:
cd\
md cdrom
cd cdrom
copy a:\.
cd\
goto end
:GT
if not exist expgame.exe goto fail
copy a:dos_joy.pif c:\windows\desktop\dos_joy.pif
copy a:dos_joy.w95 c:\win95\desktop\dos_joy.pif
c:
cd\
md game
cd game
copy a:\.
cd\
goto end

:end1
rem  The DOS mode installation was not completed
rem  Run the DOSMODE.BAT file if you wish to install a DOS mode icon
rem  for the EXP product that is applicable to your needs
goto end2

:end
rem  The DOS Mode icon is ready to use
rem  Please remove the floppy and start the new icon
rem  If you get an error message on boot to this DOS mode
rem  session, please refer to the manual for help.
goto end2

:fail
rem  The choice made does not match product files. 
rem  The DOS device driver files were not found.
rem  The "DOSMODE.BAT" and supporting files should be
rem  on the device driver floppy. 
goto end2

:end2

